#!/usr/bin/env python

import sys
from qt import *

TRUE  = 1
FALSE = 0

class Hello(QWidget):
    def __init__(self,text='',parent=None,name=None):
        QWidget.__init__(self,parent,name)
	self.b = 0
	timer = QTimer(self)
	timer.start(40)
	self.t = QString(text)
	self.t1 = str(self.t)


	self.resize(260,130)
	self.connect(timer,SIGNAL('timeout()'),self.animate)

    def animate(self):
	self.b = (self.b + 1) & 15
	self.repaint(FALSE)

    def mouseReleaseEvent(self,e):
	if self.rect().contains(e.pos()):
           self.emit(PYSIGNAL('clicked()'),(None,))

    def paintEvent(self,p):
	self.sin_tbl = [0,38,71,92,100,92,71,38,0,-38,-71,-92,-100,-92,-71,-38]

	fm = QWidget.fontMetrics(self)
	w = fm.width(self.t) + 20
	h = fm.height() * 2
	pmx = self.width()/2 - w/2
	pmy = self.height()/2 - h/2

	pm = QPixmap(w,h)
	pm.fill(self,pmx,pmy)

	p = QPainter()
	x = 10
	y = h/2 + fm.descent()
	i = 0
	p.begin(pm)
	p.setFont(self.font())

	for i in range(self.t.length()):
	      i16 = (self.b + i) & 15
	      p.setPen(QColor((15 - i16)*16,255,255,QColor.Hsv))
	      p.drawText(x,y - self.sin_tbl[i16]*h/800,self.t.mid(i,1),1)
	      x = x + fm.width(self.t.mid(i,1))
	p.end()

	bitBlt(self,pmx,pmy,pm)

## main program
a = QApplication(sys.argv)
k = len(sys.argv)
s = ''

l = sys.argv
l[0] = ''

for i in l:
    s = s + i

if s == '':
   s = 'Hello world!'

h = Hello(s)
a.setMainWidget(h)
QObject.connect(h,PYSIGNAL('clicked()'),a,SLOT('quit()'))
h.setCaption("PyQT says hello")
h.setFont(QFont('times',32,QFont.Bold))
h.setPaletteBackgroundColor(Qt.white)
h.show()

a.exec_loop()


