#!/usr/bin/env python

import sys, string, re, os
from qt import *

TRUE  = 1
FALSE = 0

new = [
'16 16 3 1',
'       c None',
'.      c #000000000000',
'X      c #FFFFFFFFFFFF',
'                ',
'   ......       ',
'   .XXX.X.      ',
'   .XXX.XX.     ',
'   .XXX.XXX.    ',
'   .XXX.....    ',
'   .XXXXXXX.    ',
'   .XXXXXXX.    ',
'   .XXXXXXX.    ',
'   .XXXXXXX.    ',
'   .XXXXXXX.    ',
'   .XXXXXXX.    ',
'   .XXXXXXX.    ',
'   .........    ',
'                ',
'                '
]
run = [
"24 16 165 2",
"   c None",
".  c #3A7AC1",
"+  c #5194CF",
"@  c #4E91CE",
"#  c #4E91CF",
"$  c #4F92CF",
"%  c #5093CF",
"&  c #5094D1",
"*  c #2C66AC",
"=  c #8198A8",
"-  c #707D8F",
";  c #6D7787",
">  c #6E7583",
",  c #0047B1",
"'  c #0069DC",
")  c #006DDC",
"!  c #006FDE",
"~  c #006FDD",
"{  c #3C98EF",
"]  c #258AE9",
"^  c #379CF7",
"/  c #5971A1",
"(  c #4C6EA7",
"_  c #0044A5",
":  c #899DB0",
"<  c #758499",
"[  c #707C92",
"}  c #6F778C",
"|  c #0E3475",
"1  c #5BACE5",
"2  c #68B9EB",
"3  c #65B5E8",
"4  c #65B4E8",
"5  c #71BBEA",
"6  c #6CB8E9",
"7  c #6FBBEB",
"8  c #76B5DD",
"9  c #73B8E5",
"0  c #1A56A1",
"a  c #2F579D",
"b  c #F2ECDB",
"c  c #FFF3DA",
"d  c #FEF3DB",
"e  c #FCF2DA",
"f  c #FDF2DA",
"g  c #FAEFD7",
"h  c #FDF3DB",
"i  c #E3E0D8",
"j  c #193469",
"k  c #889CB0",
"l  c #758293",
"m  c #787F8C",
"n  c #7A94BF",
"o  c #FFF7DE",
"p  c #E6E1CF",
"q  c #D6D1C0",
"r  c #D5D1BF",
"s  c #D4D0BF",
"t  c #D7D3C2",
"u  c #E8E4D3",
"v  c #FEF6DD",
"w  c #98A7C0",
"x  c #031A47",
"y  c #899BAE",
"z  c #727F94",
"A  c #6E778D",
"B  c #103070",
"C  c #C1CDD7",
"D  c #FAF2DC",
"E  c #ACAA9D",
"F  c #999993",
"G  c #A5A5A0",
"H  c #A2A29D",
"I  c #B9B8AF",
"J  c #F3F0E5",
"K  c #F6F1DD",
"L  c #556E9D",
"M  c #011638",
"N  c #375EA1",
"O  c #F0EEDE",
"P  c #E7E2CF",
"Q  c #9B9B92",
"R  c #B5B6B6",
"S  c #E9E9E9",
"T  c #FDFDFD",
"U  c #F9F8F8",
"V  c #E9E6DE",
"W  c #F8F3E3",
"X  c #DADBD7",
"Y  c #153269",
"Z  c #8A9CAC",
"`  c #788190",
" . c #7A95BF",
".. c #FFFBE2",
"+. c #C3C0B0",
"@. c #A4A5A1",
"#. c #BFBFC1",
"$. c #F9F9FA",
"%. c #FFFFFF",
"&. c #F4F3EE",
"*. c #ECEAE0",
"=. c #FFF7E0",
"-. c #97A6C0",
";. c #021947",
">. c #8698AB",
",. c #707A8E",
"'. c #F7F0DA",
"). c #B0AFA1",
"!. c #BCBBB5",
"~. c #D4D3CF",
"{. c #F4F2EE",
"]. c #F3F1ED",
"^. c #F2F1ED",
"/. c #E6E4DC",
"(. c #F3F0E4",
"_. c #F6F0DC",
":. c #546D9C",
"<. c #011639",
"[. c #365EA2",
"}. c #EEECDC",
"|. c #F0EAD8",
"1. c #E7E5DB",
"2. c #F1EEE4",
"3. c #F2EFE5",
"4. c #EDEAE0",
"5. c #EDEADF",
"6. c #F0EEE5",
"7. c #F7F1E1",
"8. c #DBDCD8",
"9. c #18366E",
"0. c #8B9AA9",
"a. c #7D98C1",
"b. c #FDF5DC",
"c. c #EFEAD8",
"d. c #F2EDDB",
"e. c #F1ECDB",
"f. c #F0ECDA",
"g. c #F1ECDA",
"h. c #F0EBDA",
"i. c #FFF7DD",
"j. c #9AA9C2",
"k. c #031A49",
"l. c #8592A5",
"m. c #0C2A6B",
"n. c #AFC0D3",
"o. c #FFFFE0",
"p. c #FDF6DD",
"q. c #FDF5DD",
"r. c #FFFADE",
"s. c #E6E5DD",
"t. c #3A5891",
"u. c #041837",
"v. c #4F6BA5",
"w. c #8A9CBC",
"x. c #8A9BBA",
"y. c #899BBA",
"z. c #8A9CBB",
"A. c #8699BB",
"B. c #37548D",
"C. c #01163F",
"D. c #001748",
"E. c #001A49",
"F. c #001949",
"G. c #001747",
"H. c #031639",
"                                                ",
"                  . + @ @ @ @ @ @ # $ % & *     ",
"  = - ; >     , ' ) ! ~ ~ ~ ~ ~ ~ { ] ^ / ( _   ",
"  : < [ }   | 1 2 3 4 4 4 4 4 4 3 5 6 7 8 9 0   ",
"            a b c d d d d d d d d e f g h i j   ",
"  k l m     n o p q r r r r r r r s t u v w x   ",
"  y z A   B C D E F G G G G G G G H I J K L M   ",
"          N O P Q R S T T T T T T U V W X Y     ",
"  Z `      ...+.@.#.$.%.%.%.%.%.%.&.*.=.-.;.    ",
"  >.,.  B C '.).!.~.{.].].].].].^./.(._.:.<.    ",
"        [.}.|.1.2.3.4.4.4.4.4.4.5.6.7.8.9.      ",
"  0.    a.b.c.d.e.f.g.g.g.g.g.g.g.h.i.j.k.      ",
"  l.  m.n.o.p.q.q.q.q.q.q.q.q.q.q.r.s.t.u.      ",
"        v.w.x.y.y.y.y.y.y.y.y.y.z.A.B.C.        ",
"          D.E.F.F.F.F.F.F.F.F.F.F.G.H.          ",
"                                                "
]

generate = [
"16 16 73 1",
"   c None",
".  c #878787",
"+  c #8F8F8F",
"@  c #8B8B8B",
"#  c #6E7FD4",
"$  c #5C6FCE",
"%  c #4A5EC9",
"&  c #384FC3",
"*  c #263FBE",
"=  c #142FB9",
"-  c #0320B4",
";  c #797979",
">  c #D9D9D9",
",  c #C7C7C7",
"'  c #B6C4EF",
")  c #A5B6E9",
"!  c #99A8E1",
"~  c #8FA1D9",
"{  c #798FCE",
"]  c #6D84C7",
"^  c #546BC3",
"/  c #4F67C0",
"(  c #DDDDDD",
"_  c #C3C3C3",
":  c #707070",
"<  c #858585",
"[  c #C9C9C9",
"}  c #91A6E9",
"|  c #859BE2",
"1  c #6985E3",
"2  c #4B6EE1",
"3  c #365EDC",
"4  c #254AD3",
"5  c #1234C9",
"6  c #082CC7",
"7  c #6B6B6B",
"8  c #929292",
"9  c #6D7FD0",
"0  c #5B70CA",
"a  c #485FC4",
"b  c #3650BF",
"c  c #2440B9",
"d  c #1230B3",
"e  c #0121AE",
"f  c #676767",
"g  c #868686",
"h  c #EEEEEE",
"i  c #FFFFFF",
"j  c #FFFFFD",
"k  c #FFFFFB",
"l  c #FFFFF7",
"m  c #DEDEDE",
"n  c #636363",
"o  c #000000",
"p  c #5F5F5F",
"q  c #939393",
"r  c #B2B2B2",
"s  c #5A5A5A",
"t  c #575757",
"u  c #555555",
"v  c #828282",
"w  c #7E7E7E",
"x  c #DEDEDC",
"y  c #FFFFF9",
"z  c #777777",
"A  c #DEDED8",
"B  c #C4C4C4",
"C  c #6A6A6A",
"D  c #696969",
"E  c #60605F",
"F  c #5B5B5A",
"G  c #565656",
"H  c #545454",
"                ",
" .+@#$%&*=--..; ",
" .>,')!~{]^/(_: ",
" <[,}|123456,_7 ",
" <8.90abcdee..f ",
" ghiiiiiiijklmn ",
" .mioooooooiimp ",
" .mioqqqqqorims ",
" .mioiiiiiorimt ",
" .mioiiiiiorimu ",
" vmioiiiiiorimu ",
" wxyooooooorimu ",
" zAmmBBBBBBBmmu ",
" CCDEFGHHHuuuuu ",
"                ",
"                "
]

class actionParam:
    def __init__(self):
        self.actionName = ''
        self.actionText = ''
        self.actionPixmap = ''
        self.actionHotKey = ''
        self.actionSlot = ''
        self.actionLocate = ''
        self.actionParentType = ''
        self.actionToggle = FALSE
        self.actionSeparator = FALSE
        self.actionOld = FALSE
        self.actions = []

class SDI(QMainWindow):
    def __init__(self):
        QMainWindow.__init__(self, None)
        self.setUsesTextLabel(TRUE)
        self.actionArray = []
        self.menuArray = []
        self.menuTextArray = []
        self.toolbarArray = []
        self.actionList = QStringList()
        self.actionSlotList = QStringList()
        self.idi = []

        self.fileName = ''

        self.addToolBar = QToolBar(self)

        self.tbAdd = QToolButton(QIconSet(QPixmap(new)),QString('Add toolbar'),QString.null,self.addToolbar,self.addToolBar)

        self.mainWidgetApp()

        self.menuBar().insertItem('Add menu',self.addMenuitem)
        self.menuBar().insertSeparator()
    	self.menuBar().setSeparator(QMenuBar.InWindowsStyle)

    def mainWidgetApp(self):
        self.mframe = QFrame(self)
        self.mframe.setFrameStyle(QFrame.Panel|QFrame.Sunken)
        self.setCentralWidget(self.mframe)
        gl = QGridLayout(self.mframe,10,3,5,5)

        gl.addWidget(QLabel('Class name:',self.mframe),0,0)
        self.nameClass = QLineEdit(self.mframe)
        self.nameClass.setText('MyClass')
        self.connect(self.nameClass,SIGNAL('textChanged(const QString&)'),self.nameClassChanged)
        gl.addWidget(self.nameClass,0,1)

        gl.addWidget(QLabel('File name:',self.mframe),1,0)
        self.nameFile = QLineEdit(self.mframe)
        self.nameFile.setText('myclass.py')
        gl.addWidget(self.nameFile,1,1)

#        self.mdi = QCheckBox('Multi document Application',self.mframe)
#        gl.addWidget(self.mdi,2,0)

        gl.addWidget(QLabel('Documents Class name:',self.mframe),2,0)
        self.nameClassDoc = QLineEdit(self.mframe)
        self.nameClassDoc.setEnabled(FALSE)
        self.nameClassDoc.setText('MDIWindow')
        gl.addWidget(self.nameClassDoc,2,1)

#        self.connect(self.mdi,SIGNAL('toggled(bool)'),self.nameClassDoc,SLOT('setEnabled(bool)'))
        self.nameClassDoc.setEnabled(int(multi))

        gl.addWidget(QLabel('Type of central widget:',self.mframe),3,0)
        self.typeCW = QComboBox(self.mframe)
        self.typeCW.insertItem('QTextEdit')
        self.typeCW.insertItem('QTextBrowser')
        self.typeCW.insertItem('QWidget')
        self.typeCW.insertItem('QFrame')
        self.typeCW.insertItem('QCanvas')
        self.typeCW.insertItem('QListBox')
        self.typeCW.insertItem('QListView')
        gl.addWidget(self.typeCW,3,1)

        self.useStatusBar = QCheckBox('Use status bar',self.mframe)
        self.useStatusBar.setChecked(TRUE)
        self.connect(self.useStatusBar,SIGNAL('toggled(bool)'),self.statusBar(),SLOT('setShown(bool)'))
        gl.addWidget(self.useStatusBar,4,1)

        self.textLabel = QCheckBox('Use text label on tool bars',self.mframe)
        self.textLabel.setChecked(TRUE)
        self.connect(self.textLabel,SIGNAL('toggled(bool)'),self.textLabeltoggled)
        gl.addWidget(self.textLabel,5,1)

        bgr = QButtonGroup(1,QGroupBox.Horizontal,'Generate:',self.mframe)
        gl.addMultiCellWidget(bgr,0,4,2,2)

        self.rbpy = QRadioButton('Python file',bgr)
        self.rbpy.setChecked(TRUE)

        self.rbui = QRadioButton('UI file',bgr)

        self.bGenerate = QPushButton(QIconSet(QPixmap(generate)),'Generate',bgr)
        self.connect(self.bGenerate,SIGNAL('clicked()'),self.generate)

        self.bRun = QPushButton(QIconSet(QPixmap(run)),'Run',bgr)
        self.connect(self.bRun,SIGNAL('clicked()'),self.run)

        self.connect(self.rbpy,SIGNAL('toggled(bool)'),self.bRun,SLOT('setEnabled(bool)'))
        self.connect(self.rbpy,SIGNAL('toggled(bool)'),self.nameClassChanged)

        self.bFinish = QPushButton('Finish',self.mframe)
        self.connect(self.bFinish,SIGNAL('clicked()'),qApp,SLOT('quit()'))
        gl.addWidget(self.bFinish,5,2)

        self.viewer = QTextEdit(self.mframe)
        self.viewer.setReadOnly(TRUE)
        gl.addMultiCellWidget(self.viewer,6,9,0,2)

    def pythonPath(self):
        system = os.name
        if str(system) == 'posix':
            return '/usr/bin/python'
        elif str(system) == 'nt' or str(system) == 'dos':
            s = QSettings()
            pythonInstallPath = str(s.readEntry('/Python/PythonCore/2.2/InstallPath/Default')[0])
            if pythonInstallPath == '':
                QMessageBox.information(self,'Error','<b>Python 2.2</b> is not installed.')
                return ''
            return pythonInstallPath+'\\python.exe'

    def run(self):
        self.generate()
        s = self.pythonPath()
        if s != '':
            fileName = self.nameFile.text()
            if fileName.isEmpty(): return
            else:
                st = filePath + str(fileName)
                fileName = QString(st)
                p = QProcess()
                p.addArgument(s)
                p.addArgument(fileName)
                p.start()

    def textLabeltoggled(self,b):
        self.setUsesTextLabel(b)

    def generate(self):
        try:
            f = open(str(filePath) + str(self.nameFile.text()),'w+')
            self.fileName = str(self.nameFile.text())
        except:
            QMessageBox.critical(None,'BA wizard','Could not write to %s' % (self.nameFile.text()))

        lSlot = QStringList()
        if self.rbpy.isChecked():
            pyText = 'from qt import *\n'
            pyText = pyText+'import sys\n\n'
            pyText = pyText+'TRUE = 1\n'
            pyText = pyText+'FALSE = 0\n\n'

            if int(multi):
                pyText = pyText+'class '+str(self.nameClassDoc.text())+'(QMainWindow):\n'
                pyText = pyText+'\tdef __init__(self,parent, name, wflags ):\n'
                pyText = pyText+'\t\tQMainWindow.__init__(self,parent, name, wflags)\n'
                pyText = pyText+'\n\t\tself.'+str(self.typeCW.currentText().lower())+' = '+str(self.typeCW.currentText())+'(self,"'+str(self.typeCW.currentText().lower())+'")\n'
                pyText = pyText+'\t\tself.setFocusProxy(self.'+str(self.typeCW.currentText().lower())+')\n'
                pyText = pyText+'\t\tself.setCentralWidget(self.'+str(self.typeCW.currentText().lower())+')\n\n'

            pyText = pyText+'class '+str(self.nameClass.text())+'(QMainWindow):\n'
            pyText = pyText+'\tdef __init__(self,parent=None,name=None,fl=0):\n'
            pyText = pyText+'\t\tQMainWindow.__init__(self,parent,name,fl)\n'

            if self.useStatusBar.isChecked():
                pyText = pyText+'\t\tself.statusBar()\n\n'
            pyText = pyText+'\t\tif not name:\n'
            pyText = pyText+'\t\t\tself.setName("Form 1")\n'

            if int(multi):
                pyText = pyText+'\t\tself.vb = QVBox(self)\n'
                pyText = pyText+'\t\tself.vb.setFrameStyle(QFrame.StyledPanel|QFrame.Sunken)\n'
                pyText = pyText+'\t\tself.ws = QWorkspace(self.vb)\n'
                pyText = pyText+'\t\tself.ws.setScrollBarsEnabled(True)\n'
                pyText = pyText+'\t\tself.setCentralWidget(self.vb)\n'

            else:
                pyText = pyText+'\n\t\tself.'+str(self.typeCW.currentText().lower())+' = '+str(self.typeCW.currentText())+'(self,"'+str(self.typeCW.currentText().lower())+'")\n'
                pyText = pyText+'\t\tself.setCentralWidget(self.'+str(self.typeCW.currentText().lower())+')\n\n'

            for i in self.toolbarArray:
                pyText = pyText+'\t\tself.'+str(i.name())+' = QToolBar("'+str(i.name())+'",self,Qt.DockTop)\n'

            pyText = pyText+'\t\tself.menubar = QMenuBar(self,"menubar")\n'

            for i in range(len(self.menuArray)):
                pyText = pyText+'\t\tself.'+str(self.menuArray[i].name())+' = QPopupMenu(self,"'+str(self.menuArray[i].name())+'")\n'
                pyText = pyText+'\t\tself.menubar.insertItem("'+self.menuTextArray[i]+'",self.'+str(self.menuArray[i].name())+')\n'

            pyText = pyText+'\n'

            if self.textLabel.isChecked():
                pyText = pyText+'\t\tself.setUsesTextLabel(TRUE)\n\n'

            for i in self.actionArray:
                if i.actionOld == FALSE:
                    if i.actionSeparator:
                        if i.actionParentType == 'QPopupMenu':
                            pyText = pyText+'\t\tself.'+str(i.actionLocate)+'.insertSeparator()\n\n'
                        else:
                            pyText = pyText+'\t\tself.'+str(i.actionLocate)+'.addSeparator()\n\n'
                    else:
                        if i.actionToggle:
                            pyText = pyText+'\t\tself.'+str(i.actionName)+' = QAction(self,"'+str(i.actionName)+'",TRUE)\n'
                        else:
                            pyText = pyText+'\t\tself.'+str(i.actionName)+' = QAction(self,"'+str(i.actionName)+'")\n'
                        if i.actionPixmap != '':
                            pyText = pyText+'\t\tself.'+str(i.actionName)+'.setIconSet(QIconSet(QPixmap("'+str(i.actionPixmap)+'")))\n'
                        pyText = pyText+'\t\tself.'+str(i.actionName)+'.setText("'+str(i.actionText)+'")\n'
                        if str(i.actionLocate) != '':
                            pyText = pyText+'\t\tself.'+str(i.actionName)+'.addTo(self.'+str(i.actionLocate)+')\n'
                        pyText = pyText+'\n'
                        if i.actionHotKey != '':
                            pyText = pyText+'\t\tself.'+str(i.actionName)+'.setAccel(QKeySequence("CTRL+'+str(i.actionHotKey)+'"))\n'
                        if i.actionSlot != '':
                            if i.actionToggle:
                                pyText = pyText+'\t\tself.connect(self.'+str(i.actionName)+',SIGNAL("toggled(bool)"),self.'+str(i.actionSlot)+')\n\n'
                            else:
                                pyText = pyText+'\t\tself.connect(self.'+str(i.actionName)+',SIGNAL("activated()"),self.'+str(i.actionSlot)+')\n\n'
                        if not lSlot.contains(str(i.actionSlot))and str(i.actionSlot)!= '':
                            lSlot.append(str(i.actionSlot))
                else:
                    if str(i.actionLocate) != '':
                        pyText = pyText+'\t\tself.'+str(i.actionName)+'.addTo(self.'+str(i.actionLocate)+')\n'

            pyText = pyText+'\n'

            for i in lSlot:
                pyText = pyText+'\tdef '+str(i)+'(self):\n'
                pyText = pyText+'\t\tprint "'+str(i)+'(): Not implemented yet"\n'
                pyText = pyText+'\n'

            pyText = pyText+'a = QApplication( sys.argv )\n\n'

            pyText = pyText+'mm = '+str(self.nameClass.text())+'()\n'
            pyText = pyText+'mm.setCaption("'+str(self.nameFile.text())+'")'

            pyText = pyText+'''
a.setMainWidget(mm)
mm.resize(501,301)
mm.show()

a.exec_loop()'''

            self.viewer.setText(pyText)
            f.write(pyText)
            f.close()
        else:
            classname = str(self.nameClass.text())
            filename = str(self.nameFile.text())
            self.viewer.setText(filename + '  was  generated  SUCCESSFUL !  :)')
            uiText = '<!DOCTYPE UI><UI version="3.1" stdsetdef="1">\n<class>'+classname+'</class>\n'
            uiText = uiText +'''<widget class="QMainWindow">
<property name="name">
'''
            uiText = uiText + '<cstring>'+classname+'</cstring>'
            uiText = uiText + '''
</property>
<property name="geometry">
<rect>
<x>0</x>
<y>0</y>
<width>600</width>
<height>480</height>
</rect>
</property>
<property name="caption">
'''
            uiText = uiText + '<cstring>'+classname+'</cstring>\n'
            uiText = uiText + '</property>\n'

#            if self.textLabel.isChecked():
            uiText = uiText + '''<property name="usesTextLabel">
<bool>true</bool>
</property>
'''
            uiText = uiText + '</widget>\n'
            if len(self.menuArray):
                uiText = uiText + '''
<menubar>
<property name="name">
<cstring>menubar</cstring>
</property>
'''
                for i in range(len(self.menuArray)):
                    s = str(self.menuTextArray[i])
                    res = re.sub('&','&amp;',s)
                    uiText = uiText + '<item text="'+res+'" name="'+str(self.menuArray[i].name())+'">\n'
                    for k in self.actionArray:
                        if str(k.actionLocate) == str(self.menuArray[i].name()):
                            if k.actionSeparator:
                                uiText = uiText + '<separator/>\n'
                            else:
                                uiText = uiText + '<action name="'+str(k.actionName)+'"/>\n'

                    uiText = uiText + '</item>\n'

                uiText = uiText + '''</menubar>
'''
            if len(self.toolbarArray):
                uiText = uiText + '''
<toolbars>
'''
                for i in self.toolbarArray:
                    uiText = uiText + '<toolbar dock="2">\n'
                    uiText = uiText + '<property name="name">\n'
                    uiText = uiText + '<cstring>'+str(i.name())+'</cstring>\n</property>\n'
                    for k in self.actionArray:
                        if str(k.actionLocate) == str(i.name()):
                            if k.actionSeparator:
                                uiText = uiText + '<separator/>\n'
                            else:
                                uiText = uiText + '<action name="'+str(k.actionName)+'"/>\n'
                    uiText = uiText + '</toolbar>\n'
                uiText = uiText + '</toolbars>\n'

            if len(self.actionArray):
                uiText = uiText + '<actions>\n'
                for i in self.actionArray:
                    if not i.actionOld and not i.actionSeparator:
                        uiText = uiText + '''<action>
<property name="name">
'''
                        uiText = uiText + '<cstring>'+str(i.actionName)+'</cstring>\n</property>\n'
                        uiText = uiText + '<property name="text">\n'
                        s = str(i.actionText)
                        res = re.sub('&','',s)
                        uiText = uiText + '<string>'+res+'</string>\n</property>\n'
                        if i.actionToggle:
                            uiText = uiText + '<property name="toggleAction">\n<bool>true</bool>\n</property>\n'
                        uiText = uiText + '<property name="menuText">\n'
                        s = str(i.actionText)
                        res = re.sub('&','&amp;',s)
                        uiText = uiText + '<string>'+res+'</string>\n</property>\n'
                        uiText = uiText + '<property name="accel">\n'
                        if i.actionHotKey != '':
                            s = 'Ctrl+'+str(i.actionHotKey)
                        else:
                            s = ''
                        uiText = uiText + '<string>'+s+'</string>\n</property>\n'
                        uiText = uiText + '</action>\n'
                        if not lSlot.contains(str(i.actionSlot))and str(i.actionSlot)!= '':
                            lSlot.append(str(i.actionSlot))

                uiText = uiText + '</actions>\n'

                if len(lSlot):
                    uiText = uiText + '<connections>\n'
                    for i in self.actionArray:
                        if not i.actionOld and i.actionSlot != '' and not i.actionSeparator:
                            uiText = uiText + '<connection>\n'
                            uiText = uiText + '<sender>'+str(i.actionName)+'</sender>\n'
                            if i.actionToggle:
                                uiText = uiText + '<signal>toggled(bool)</signal>\n'
                            else:
                                uiText = uiText + '<signal>activated()</signal>\n'
                            uiText = uiText + '<receiver>'+classname+'</receiver>\n'
                            uiText = uiText + '<slot>'+str(i.actionSlot)+'()</slot>\n'
                            uiText = uiText + '</connection>\n'
                    uiText = uiText + '</connections>\n<slots>\n'
                    for i in lSlot:
                        uiText = uiText + '<slot>'+str(i)+'()</slot>\n'
                    uiText = uiText + '</slots>\n'

            uiText = uiText + '''
<layoutdefaults spacing="6" margin="11"/>
</UI>'''

            f.write(uiText)
            f.close()

    def nameClassChanged(self):
        if self.rbpy.isChecked():
            self.nameFile.setText(str(self.nameClass.text().lower())+'.py')
        else:
            self.nameFile.setText(str(self.nameClass.text().lower())+'.ui')

    def addToolbar(self):
        idialog = itemDialog(0)
        if idialog.exec_loop():
            self.toolbarArray.append(QToolBar(self,str(idialog.menuName.text())))
            self.tbAdd = QToolButton(QIconSet(QPixmap(new)),QString('Add Action'),QString.null,self.addActions,self.toolbarArray[-1])
            self.tbAdd.setText('Add Action')
            self.toolbarArray[-1].addSeparator()

    def addMenuitem(self):
        idialog = itemDialog(1)
        if idialog.exec_loop():
            self.menuArray.append(QPopupMenu(self,str(idialog.menuName.text())))
            self.idi.append(self.menuArray[-1].insertItem('Add item'))
            self.connect(self.menuArray[-1],SIGNAL('activated(int)'),self.addActions)
            self.menuBar().insertItem(str(idialog.menuText.text()),self.menuArray[-1])
            self.menuTextArray.append(str(idialog.menuText.text()))
            self.menuArray[-1].insertSeparator()

    def addActions(self,*args):
        try:
            if len(args)>0:
                i = args[0]
                self.idi.index(i)
            sender = self.sender()
            adialog = actionsDialog()
            if adialog.exec_loop():
                temp = actionParam()
                if adialog.old:
                    temp.actionOld = TRUE
                    for k in self.actionArray:
                        if k.actionName == str(adialog.actionName.currentText()):
                            temp.actionName = k.actionName
                            if len(args)>0:
                                k.actions[0].addTo(sender)
                                temp.actionLocate = str(sender.name())
                                temp.actionParentType = k.actionParentType
                                temp.actions.append(k.actions[0])
                            else:
                                k.actions[0].addTo(sender.parent())
                                temp.actionLocate = str(sender.parent().name())
                                temp.actionParentType = k.actionParentType
                                temp.actions.append(k.actions[0])
                            break
                else:
                    if not adialog.separator.isChecked():
                        temp.actionSeparator = FALSE
                        self.actionList.append(str(adialog.actionName.currentText()))
                        temp.actions.append(QAction(self,str(adialog.actionName.currentText()),adialog.toggle.isChecked()))
                        self.connect(temp.actions[0],SIGNAL('activated()'),self.editAction)
                        temp.actionToggle = adialog.toggle.isChecked()
                        temp.actionName = str(adialog.actionName.currentText())
                        temp.actionText = str(adialog.actionText.text())
                        if QFileInfo(str(adialog.actionPixmap.text())).exists():
                            temp.actions[0].setIconSet(QIconSet(QPixmap(str(adialog.actionPixmap.text()))))
                            temp.actionPixmap = str(adialog.actionPixmap.text())
                        temp.actions[0].setText(str(adialog.actionText.text()))
                        if not adialog.slotName.currentText().isEmpty():
                            if not self.actionSlotList.contains(adialog.slotName.currentText()):
                                self.actionSlotList.append(adialog.slotName.currentText())
                            temp.actionSlot = str(adialog.slotName.currentText())
                        if not adialog.hotKey.text().isEmpty():
                            temp.actionHotKey = str(adialog.hotKey.text()).upper()
                            temp.actions[0].setAccel(QKeySequence('CTRL+'+str(temp.actionHotKey)))
                        if len(args)>0:
                            temp.actions[0].addTo(sender)
                            temp.actionLocate = str(sender.name())
                            temp.actionParentType = str(sender.className())
                        else:
                            temp.actions[0].addTo(sender.parent())
                            temp.actionLocate = str(sender.parent().name())
                            temp.actionParentType = str(sender.parent().className())
                    else:
                        if len(args)>0:
                            sender.insertSeparator()
                            temp.actionSeparator = TRUE
                            temp.actionLocate = str(sender.name())
                            temp.actionParentType = str(sender.className())
                        else:
                            sender.parent().addSeparator()
                            temp.actionSeparator = TRUE
                            temp.actionLocate = str(sender.parent().name())
                            temp.actionParentType = str(sender.parent().className())
                self.actionArray.append(temp)
        except:
            pass

    def editAction(self):
        adialog = actionsDialog(TRUE,self.sender().name())
        if adialog.exec_loop():
            for k in self.actionArray:
                if k.actionName == str(adialog.actionName.currentText()):
                    if k.actionOld == FALSE:

                        k.actions[0].setText(adialog.actionText.text())
                        k.actions[0].setToggleAction(adialog.toggle.isChecked())
                        k.actions[0].setIconSet(QIconSet(QPixmap(adialog.actionPixmap.text())))
                        if not adialog.hotKey.text().isEmpty():
                            k.actions[0].setAccel(QKeySequence('CTRL+'+str(adialog.hotKey.text())))
                        else:
                            k.actions[0].setAccel(QKeySequence())
                        k.actionText = adialog.actionText.text()
                        k.actionToggle = adialog.toggle.isChecked()
                        if not adialog.actionPixmap.text().isEmpty():
                            k.actionPixmap = adialog.actionPixmap.text()
                        else:
                            k.actionPixmap = ''
                        k.actionHotKey = str(adialog.hotKey.text()).upper()
                        k.actionSlot = adialog.slotName.currentText()
                        sum = 0
                        for l in adialog.cb:
                            if l.isChecked():
                                sum = sum+1
                                if str(l.text()) == str(k.actionLocate):
                                    k.actionLocate = ''
                                    if  k.actionParentType == 'QPopupMenu':
                                        for i in self.menuArray:
                                            if str(i.name()) == str(l.text()):
                                                k.actions[0].removeFrom(i)
                                    else:
                                        for i in self.toolbarArray:
                                            if str(i.name()) == str(l.text()):
                                                k.actions[0].removeFrom(i)
                            if sum == len(adialog.cb):
                                k.actionOld = TRUE
                                self.actionList.remove(k.actionName)

                    else:
                        for l in adialog.cb:
                            if l.isChecked():
                                if str(l.text()) == str(k.actionLocate):
                                    k.actionLocate = ''
                                    if  k.actionParentType == 'QPopupMenu':
                                        for i in self.toolbarArray:
                                            if str(i.name()) == str(l.text()):
                                                k.actions[0].removeFrom(i)
                                    else:
                                        for i in self.menuArray:
                                            if str(i.name()) == str(l.text()):
                                                k.actions[0].removeFrom(i)

class itemDialog(QDialog):
    def __init__(self,position,parent=None,name=None):
        QDialog.__init__(self,parent,name)
        self.position = position
        form = QGridLayout(self,6,5,5,5)

        form.addWidget(QLabel('Variable name:',self),2,0)

        if self.position:
            self.setCaption(self.tr('Menu item property'))
        else:
            self.setCaption(self.tr('ToolBar property'))

        if self.position:
            form.addWidget(QLabel('Menu text:',self),1,0)
            self.menuText = QLineEdit(self)
            self.connect(self.menuText,SIGNAL('textChanged(const QString &)'),self.textChanged)
            form.addMultiCellWidget(self.menuText,1,1,1,3)

        self.menuName = QLineEdit(self)
        self.connect(self.menuName,SIGNAL('textChanged(const QString &)'),self.nameChanged)
        form.addMultiCellWidget(self.menuName,2,2,1,3)

        self.buttonOk = QPushButton(self,'buttonOk')
        self.buttonOk.setAutoDefault(1)
        self.buttonOk.setDefault(1)
        self.buttonOk.setText(self.tr('&OK'))
        self.buttonOk.setEnabled(FALSE)
        form.addWidget(self.buttonOk,5,2)

        self.buttonCancel = QPushButton(self,'buttonCancel')
        self.buttonCancel.setAutoDefault(1)
        self.buttonCancel.setText(self.tr('&Cancel'))
        form.addWidget(self.buttonCancel,5,3)

        self.resize(QSize(250,100).expandedTo(self.minimumSizeHint()))

        self.connect(self.buttonOk,SIGNAL('clicked()'),self,SLOT('accept()'))
        self.connect(self.buttonCancel,SIGNAL('clicked()'),self,SLOT('reject()'))

    def textChanged(self,s):
        if self.position:
            s = str(s)
            news = re.sub(r'\s+','',s,100)
            s = news
            news = re.sub('&','',s,100)
            self.menuName.setText(str(news.lower())+'Menu')
            if self.menuName.text().isEmpty() or self.menuText.text().isEmpty():
                self.buttonOk.setEnabled(FALSE)
            else:
                self.buttonOk.setEnabled(TRUE)
        else:
            if self.menuName.text().isEmpty():
                self.buttonOk.setEnabled(FALSE)
            else:
                self.buttonOk.setEnabled(TRUE)

    def nameChanged(self):
        if self.position:
            if self.menuName.text().isEmpty() or self.menuText.text().isEmpty():
                self.buttonOk.setEnabled(FALSE)
            else:
                self.buttonOk.setEnabled(TRUE)
        else:
            if self.menuName.text().isEmpty():
                self.buttonOk.setEnabled(FALSE)
            else:
                self.buttonOk.setEnabled(TRUE)

class actionsDialog(QDialog):
    def __init__(self,fEdit=FALSE,senders=None,parent=None,name='Dialog'):
        QDialog.__init__(self,parent,name)
        self.fEdit = fEdit
        self.senders = senders
        self.old = FALSE
        self.setCaption(self.tr('Actions property'))
        self.form = QGridLayout(self,9,5,5,5)

        self.form.addWidget(QLabel('Action text:',self),1,0)
        self.actionText = QLineEdit(self)
        self.form.addMultiCellWidget(self.actionText,1,1,1,3)

        self.form.addWidget(QLabel('Variable name:',self),2,0)
        self.actionName = QComboBox(TRUE,self)
        self.actionName.setDuplicatesEnabled(FALSE)
        self.actionName.insertStringList(mm.actionList)
        self.actionName.setCurrentText('')
        self.form.addMultiCellWidget(self.actionName,2,2,1,2)
        self.connect(self.actionName,SIGNAL('activated(const QString &)'),self.nameActivated)

        self.toggle = QCheckBox('toggle',self)
        self.form.addWidget(self.toggle,2,3)

        self.separator = QCheckBox('separator',self)
        self.form.addWidget(self.separator,3,1)
        self.connect(self.separator,SIGNAL('toggled(bool)'),self.separatorChecked)

        self.form.addWidget(QLabel('Action pixmap:',self),4,0)
        self.actionPixmap = QLineEdit(self)
        self.form.addMultiCellWidget(self.actionPixmap,4,4,1,2)

        self.pixmapPath = QPushButton('Find',self)
        self.connect(self.pixmapPath,SIGNAL('clicked()'),self.getPixmapPath)
        self.form.addWidget(self.pixmapPath,4,3)

        self.form.addWidget(QLabel('Hot key: CTRL+',self),5,0)
        self.hotKey = QLineEdit(self)
        self.hotKey.setMaxLength(1)
        self.form.addMultiCellWidget(self.hotKey,5,5,1,2)

        self.form.addWidget(QLabel('Connect to slot:',self),6,0)
        self.slotName = QComboBox(TRUE,self)
        self.slotName.setDuplicatesEnabled(FALSE)
        self.slotName.insertStringList(mm.actionSlotList)
        self.slotName.setCurrentText('')
        self.form.addMultiCellWidget(self.slotName,6,6,1,2)

        self.buttonOk = QPushButton(self,'buttonOk')
        self.buttonOk.setAutoDefault(1)
        self.buttonOk.setDefault(1)
        self.buttonOk.setText(self.tr('&OK'))
        self.buttonOk.setEnabled(FALSE)
        self.form.addWidget(self.buttonOk,8,2)

        self.buttonCancel = QPushButton(self,'buttonCancel')
        self.buttonCancel.setAutoDefault(1)
        self.buttonCancel.setText(self.tr('&Cancel'))
        self.form.addWidget(self.buttonCancel,8,3)

        self.resize(QSize(250,100).expandedTo(self.minimumSizeHint()))

        self.connect(self.actionName,SIGNAL('textChanged(const QString &)'),self.nameChanged)
        self.connect(self.actionText,SIGNAL('textChanged(const QString &)'),self.textChanged)
        self.connect(self.slotName,SIGNAL('textChanged(const QString &)'),self.slotNameChanged)

        self.connect(self.buttonOk,SIGNAL('clicked()'),self,SLOT('accept()'))
        self.connect(self.buttonCancel,SIGNAL('clicked()'),self,SLOT('reject()'))

        if self.fEdit:
            self.editAction()

    def editAction(self):
        self.cb = []
        self.actionName.setCurrentText(self.senders)
        self.actionName.setEnabled(FALSE)
        self.separator.setEnabled(FALSE)
        self.grp = QButtonGroup(1,QGroupBox.Horizontal,'Delete action from:',self)
        self.form.addMultiCellWidget(self.grp,5,7,3,3)
        for k in mm.actionArray:
            if k.actionName == self.senders:
                if not k.actionOld:
                    self.actionText.setText(k.actionText)
                    self.toggle.setChecked(k.actionToggle)
                    self.actionPixmap.setText(k.actionPixmap)
                    self.hotKey.setText(k.actionHotKey)
                    self.slotName.setCurrentText(k.actionSlot)
                    if str(k.actionLocate) != '':
                        self.cb.append(QCheckBox(k.actionLocate,self.grp))
                else:
                    if str(k.actionLocate) != '':
                        self.cb.append(QCheckBox(k.actionLocate,self.grp))


    def getPixmapPath(self):
        fd = QFileDialog.getOpenFileName('','*.png *.xpm *.ico',self)
        self.actionPixmap.setText(str(fd))

    def separatorChecked(self,b):
        self.pixmapPath.setEnabled(not b)
        self.actionPixmap.setEnabled(not b)
        self.slotName.setEnabled(not b)
        self.toggle.setEnabled(not b)
        self.actionName.setEnabled(not b)
        self.hotKey.setEnabled(not b)
        self.actionText.setEnabled(not b)
        self.buttonOk.setEnabled(not b)
        if not b and (self.actionName.currentText().isEmpty() or self.actionText.text().isEmpty()):
            self.buttonOk.setEnabled(FALSE)
        else:
            self.buttonOk.setEnabled(TRUE)

    def nameActivated(self,actionNames):
        self.old = TRUE
        self.pixmapPath.setEnabled(FALSE)
        self.actionPixmap.setEnabled(FALSE)
        self.toggle.setEnabled(FALSE)
        self.actionText.setEnabled(FALSE)
        self.hotKey.setEnabled(FALSE)
        self.slotName.setEnabled(FALSE)
        self.buttonOk.setEnabled(TRUE)

        self.actionPixmap.setText('')
        self.actionText.setText('')
        self.slotName.setText('')

    def slotNameChanged(self,st):
        s = str(st)
        res = re.sub('\(','',s,100)
        result = re.sub('\)','',res,100)
        self.slotName.setCurrentText(result)

    def textChanged(self,s):
        self.old = FALSE
        s = str(s)
        news = re.sub(r'\s+','',s,100)
        s = news
        news = re.sub('&','',s,100)
        if not self.fEdit:
            self.actionName.setCurrentText(str(news).lower()+'Action')
            self.slotName.setCurrentText('slot'+str(news))

            if mm.actionList.contains(str(news).lower()+'Action'):
                self.old = TRUE
                self.pixmapPath.setEnabled(FALSE)
                self.actionPixmap.setEnabled(FALSE)
                self.toggle.setEnabled(FALSE)
                self.slotName.setEnabled(FALSE)
                self.hotKey.setEnabled(FALSE)
                self.buttonOk.setEnabled(TRUE)
            else:
                self.old = FALSE
                self.pixmapPath.setEnabled(TRUE)
                self.actionPixmap.setEnabled(TRUE)
                self.toggle.setEnabled(TRUE)
                self.slotName.setEnabled(TRUE)
                self.hotKey.setEnabled(TRUE)
                self.buttonOk.setEnabled(FALSE)

        if self.actionName.currentText().isEmpty() or self.actionText.text().isEmpty():
            self.buttonOk.setEnabled(FALSE)
        else:
            self.buttonOk.setEnabled(TRUE)

    def nameChanged(self):
        self.old = FALSE
        self.pixmapPath.setEnabled(TRUE)
        self.actionPixmap.setEnabled(TRUE)
        self.toggle.setEnabled(TRUE)
        self.actionText.setEnabled(TRUE)
        self.slotName.setEnabled(TRUE)

        if self.actionName.currentText().isEmpty() or self.actionText.text().isEmpty():
            self.buttonOk.setEnabled(FALSE)
        else:
            self.buttonOk.setEnabled(TRUE)

a = QApplication( sys.argv )

l = sys.argv
s = ''
l[0] = ''

filePath = l[1]
multi = l[2]

mm = SDI()
mm.setCaption('SDI wizard')
a.setMainWidget(mm)
mm.resize(501,401)
mm.show()

a.exec_loop()
print mm.fileName